package cloud-image-utils (not installed) failed to install/upgrade: trying to overwrite '/usr/bin/ubuntu-cloudimg-query', which is also in package cloud-utils 0.27-0ubuntu2

Bug #1217846 reported by Susan Cragin on 2013-08-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-utils (Ubuntu)
Critical
Martin Pitt

Bug Description

Hmm....
I think the title says it all. I was just doing my morning updates.
The strange thing was that Firefox crashed once while reporting this. Or maybe it wasn't strange.

ProblemType: Package
DistroRelease: Ubuntu 13.10
Package: cloud-image-utils (not installed)
ProcVersionSignature: Ubuntu 3.11.0-4.9-generic 3.11.0-rc7
Uname: Linux 3.11.0-4-generic x86_64
ApportVersion: 2.12.1-0ubuntu2
Architecture: amd64
Date: Wed Aug 28 07:26:01 2013
DuplicateSignature: package:cloud-image-utils:(not installed):trying to overwrite '/usr/bin/ubuntu-cloudimg-query', which is also in package cloud-utils 0.27-0ubuntu2
ErrorMessage: trying to overwrite '/usr/bin/ubuntu-cloudimg-query', which is also in package cloud-utils 0.27-0ubuntu2
InstallationDate: Installed on 2013-08-12 (16 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130811)
MarkForUpload: True
SourcePackage: cloud-utils
Title: package cloud-image-utils (not installed) failed to install/upgrade: trying to overwrite '/usr/bin/ubuntu-cloudimg-query', which is also in package cloud-utils 0.27-0ubuntu2
UpgradeStatus: No upgrade log present (probably fresh install)

Susan Cragin (susancragin) wrote :
Martin Pitt (pitti) wrote :

This is breaking the world at least in Jenkins, doing quick fix.

Changed in cloud-utils (Ubuntu):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Martin Pitt (pitti)
tags: removed: need-duplicate-check
Martin Pitt (pitti) on 2013-08-28
Changed in cloud-utils (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-utils - 0.27-0ubuntu4

---------------
cloud-utils (0.27-0ubuntu4) saucy; urgency=low

  * Add proper Conflicts/Replaces for the package split to unbreak upgrades.
    (LP: #1217846)
 -- Martin Pitt <email address hidden> Wed, 28 Aug 2013 13:40:31 +0200

Changed in cloud-utils (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers